Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class DefaultKeyedValues2DDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.DefaultCategoryDataset
              org.jfree.data.DefaultKeyedValues2DDataset

All Implemented Interfaces:
  CategoryDataset, java.lang.Cloneable, Dataset, KeyedValues2D, KeyedValues2DDataset, java.io.ObjectInputValidation, java.io.Serializable, Values2D

public class DefaultKeyedValues2DDataset
extends DefaultCategoryDataset
implements KeyedValues2DDataset, java.io.Serializable

A default implementation of the `KeyedValues2DDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultKeyedValues2DDataset()`

Methods inherited from class org.jfree.data.DefaultCategoryDataset
`addValue, addValue, clear, equals, getColumnCount, getColumnIndex, getColumnKey, getColumnKeys, getRowCount, getRowIndex, getRowKey, getRowKeys, getValue, getValue, hashCode, incrementValue, removeColumn, removeColumn, removeRow, removeRow, removeValue, setValue, setValue`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.KeyedValues2D
`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultKeyedValues2DDataset

    public DefaultKeyedValues2DDataset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD